using System;
using System.ComponentModel;
using System.Windows.Forms;
using Dapfor.Net.Grid.Tutorial.BusinessData;

namespace Dapfor.Net.Grid.Tutorial
{
    internal static class Program
    {
        /// <summary>
        /// The main entry point for the application.
        /// </summary>
        [STAThread]
        private static void Main()
        {
            Application.EnableVisualStyles();
            Application.SetCompatibleTextRenderingDefault(false);

            Provider.Instance.BeginUpdates();
            try
            {
                Application.Run(new MainForm());
            }
            catch (LicenseException){}

            Provider.Instance.StopUpdates();
        }
    }
}